import { juggler } from './loopback-datasource-juggler';
export declare const DataSourceConstructor: typeof juggler.DataSource;
/**
 * A generic service interface with any number of methods that return a promise
 */
export interface GenericService {
    [methodName: string]: (...args: any[]) => Promise<any>;
}
/**
 * Get a service proxy from a LoopBack 3.x data source backed by
 * service-oriented connectors such as `rest`, `soap`, and `grpc`.
 *
 * @param ds A legacy data source
 * @typeparam T The generic type of service interface
 */
export declare function getService<T = GenericService>(ds: juggler.DataSource): T;
